library ac_dart.descriptor.builder;

import 'package:mojito/mojito.dart'
    show ClientId, DefaultRoutePath, DefaultRouter, Oauth2RouteNames;

abstract class DescriptorBuilder<M extends ModuleList, S extends Scope,
    A extends BaseConnectAddon<M>> {
  String get installationRouteName;
  String get configurationRouteName;
  String get descriptorRouteName;

  A build(DefaultRouter rootRouter, Vendor vendor,
      {String name,
      String description,
      ClientId oauthClientId,
      Iterable<S> scopes});
}
