library ac_dart.addon_routebuilder.confluence.impl;

import 'package:atlassian_connect_host/atlassian_connect_host.dart';
import 'package:atlassian_connect_shelf/router.dart' hide router;
import 'package:atlassian_connect_shelf/src/descriptor_builders/confluence.dart';
import 'package:atlassian_connect_shelf/src/descriptor_builders/confluence_impl.dart';
import 'package:atlassian_connect_shelf/src/router/common/standard_routes_impl.dart';
import 'package:atlassian_connect_shelf/src/router/confluence/confluence.dart';
import 'package:logging/logging.dart';
import 'package:mojito/mojito.dart' hide Router, router;
import 'package:shelf_auth/shelf_auth.dart';

final Logger _log = new Logger('ac_dart.addon_routebuilder.confluence');

class ConfluenceRouterBuilderImpl extends StandardAddonRouterBuilderImpl<
    ConfluenceModuleList,
    ConfluenceScope,
    ConfluenceConnectAddon,
    ConfluenceDescriptorBuilder,
    ConfluenceLocation> implements ConfluenceRouterBuilder {
  ConfluenceRouterBuilderImpl(
      Router router,
      path,
      String addonKey,
      Uri baseUrl,
      AcHostRegistrationRepository hostRegistrationRepository,
      IsDevMode isDevMode,
      {SessionHandler sessionHandler,
      String addonSecret})
      : super(
            router,
            path,
            new ConfluenceDescriptorBuilderImpl(addonKey, baseUrl),
            addonKey,
            baseUrl,
            hostRegistrationRepository,
            isDevMode,
            sessionHandler: sessionHandler,
            addonSecret: addonSecret);

//  void addSpaRepoPage(path, String key, String name, ConfluenceLocation location,
//      {String spaBasePath,
//      String fragmentPath,
//      Map<String, String> additionalUriFragment: const {}}) {
//    addSpaPage(ConfluenceModuleTypes.repoPage, path, key, name, location,
//        spaBasePath: spaBasePath,
//        fragmentPath: fragmentPath,
//        additionalUriFragment: additionalUriFragment);
//  }

//  @override
//  void addRepoPage(
//      path, String key, String name, ConfluenceLocation location, Function handler) {
//    addPage(ConfluenceModuleTypes.repoPage, path, key, name, location, handler);
//  }
}
